/****************************************************************************
 * This file is part of the project AqDiagram.
 * AqDiagram (c) by 2024 Martin Preuss, all rights reserved.
 *
 * The license for this file can be found in the file COPYING which you
 * should have received along with this file.
 ****************************************************************************/

#ifdef HAVE_CONFIG_H
# include <config.h>
#endif

#include "./w_hlayout.h"

#include "./w_drawable.h"
#include "aqdiagram/placement/o_hlayout.h"

#include <gwenhywfar/debug.h>



AQDG_OBJECT *AQDG_HLayoutWidget_new(AQDG_OBJECT *parent, uint32_t options, AQDG_DRAW_CONTEXT *drawContext)
{
  AQDG_OBJECT *object;

  object=AQDG_HLayoutObject_new(parent, options);
  AQDG_Object_SetName(object, "HLayoutWidget");
  AQDG_DrawableWidget_Extend(object, drawContext);

  return object;
}



